curl --request POST \
--url https://api.fabric.inc/v3/collections/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"match": {
"id": {
"op": "IN",
"value": [
"blue"
]
},
"name": {
"op": "IN",
"value": [
"blue"
],
"locale": [
"en_US"
]
},
"attribute": [
{
"id": "60184766610c0e32a86d8758",
"value": [
{
"op": "IN",
"value": [
"blue"
],
"locale": "en_US"
}
]
}
],
"categoryIdsIncluded": {
"op": "IN",
"value": [
"blue"
]
},
"categoryIdsExcluded": {
"op": "IN",
"value": [
"blue"
]
},
"productAttributeIdsFilter": {
"op": "IN",
"value": [
"blue"
]
},
"updatedBy": {
"op": "IN",
"value": [
"blue"
]
},
"createdAt": {
"op": "RANGE",
"fromValue": "2022-04-20T10:24:36.162Z",
"toValue": "2023-04-20T10:24:36.162Z"
},
"updatedAt": {
"op": "RANGE",
"fromValue": "2022-04-20T10:24:36.162Z",
"toValue": "2023-04-20T10:24:36.162Z"
}
},
"sort": "+createdAt,-updatedAt",
"offset": 2,
"limit": 10
}
'import requests
url = "https://api.fabric.inc/v3/collections/search"
payload = {
"match": {
"id": {
"op": "IN",
"value": ["blue"]
},
"name": {
"op": "IN",
"value": ["blue"],
"locale": ["en_US"]
},
"attribute": [
{
"id": "60184766610c0e32a86d8758",
"value": [
{
"op": "IN",
"value": ["blue"],
"locale": "en_US"
}
]
}
],
"categoryIdsIncluded": {
"op": "IN",
"value": ["blue"]
},
"categoryIdsExcluded": {
"op": "IN",
"value": ["blue"]
},
"productAttributeIdsFilter": {
"op": "IN",
"value": ["blue"]
},
"updatedBy": {
"op": "IN",
"value": ["blue"]
},
"createdAt": {
"op": "RANGE",
"fromValue": "2022-04-20T10:24:36.162Z",
"toValue": "2023-04-20T10:24:36.162Z"
},
"updatedAt": {
"op": "RANGE",
"fromValue": "2022-04-20T10:24:36.162Z",
"toValue": "2023-04-20T10:24:36.162Z"
}
},
"sort": "+createdAt,-updatedAt",
"offset": 2,
"limit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
match: {
id: {op: 'IN', value: ['blue']},
name: {op: 'IN', value: ['blue'], locale: ['en_US']},
attribute: [
{
id: '60184766610c0e32a86d8758',
value: [{op: 'IN', value: ['blue'], locale: 'en_US'}]
}
],
categoryIdsIncluded: {op: 'IN', value: ['blue']},
categoryIdsExcluded: {op: 'IN', value: ['blue']},
productAttributeIdsFilter: {op: 'IN', value: ['blue']},
updatedBy: {op: 'IN', value: ['blue']},
createdAt: {
op: 'RANGE',
fromValue: '2022-04-20T10:24:36.162Z',
toValue: '2023-04-20T10:24:36.162Z'
},
updatedAt: {
op: 'RANGE',
fromValue: '2022-04-20T10:24:36.162Z',
toValue: '2023-04-20T10:24:36.162Z'
}
},
sort: '+createdAt,-updatedAt',
offset: 2,
limit: 10
})
};
fetch('https://api.fabric.inc/v3/collections/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offset": 5,
"limit": 10,
"count": 100,
"data": [
{
"id": "55184766610c0e32a86d8759",
"name": "Color",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true,
"isRoot": true,
"isActive": false,
"attributes": [
{
"id": "64184766610c0e32a86d8758",
"name": "color",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true,
"isInherited": true,
"type": "TEXT",
"validation": {
"dateFormat": "MM-DD-YYYY"
},
"value": "blue"
}
],
"categoriesIncluded": [
{
"id": "64184766610c0e32a86d8758",
"name": "Chairs",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true
}
],
"categoriesExcluded": [
{
"id": "64184766610c0e32a86d8758",
"name": "Chairs",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true
}
],
"productAttributeFilters": [
{
"attributeId": "53184766610c0e32a86d875",
"name": "Mobile name",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true,
"condition": "EQUALS",
"value": 2
}
],
"children": [
{
"id": "78184766610c0e32a86d8757",
"name": "Chairs",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true,
"isLeaf": false
}
],
"updatedBy": "test@eamil.com",
"updatedAt": "2023-04-20T10:24:36.162Z",
"createdAt": "2021-04-20T10:24:36.162Z"
}
]
}{
"message": "Request was invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request"
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "The payload exceeds maximum configured size"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Find Collections
This endpoint enables you to find collections by the search criteria you specify in the request body. You can also sort the results.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Body
Request body for search
Specification for matching attributes
Show child attributes
Show child attributes
Sorting criteria. Sorting is supported only on createdAt, updatedAt. - refers to descending while + refers to ascending order
"+createdAt,-updatedAt"
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
2
Maximum number of records per page
10
Response
OK
Search response
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
5
Maximum number of records per page
10
Total number of records in the response
100
Show child attributes
Show child attributes
Was this page helpful?
